package app2;


/**
 * @author Cybernash
 */

public class UpdatePlayer {
    public static final int MAX_UPDATE_WAYPOINTS=10;
    private int x;
	private int y;
	private short id;
	private int speedX, speedY;
	private int[] pathX;
	private int[] pathY;
	private int pathPtr;
 
    public int getSpeedX() {
		return speedX;
	}

	public void setSpeedX(int speedX) {
		this.speedX = speedX;
	}

	public int getSpeedY() {
		return speedY;
	}

	public void setSpeedY(int speedY) {
		this.speedY = speedY;
	}
	
	public void setCoord(int idx,int x,int y)
	{
	  pathX[idx]=x; pathY[idx]=y;
	}

	public UpdatePlayer(){
    	id=0;
    	x=0;
    	y=0;
    	pathX=new int[MAX_UPDATE_WAYPOINTS];
    	pathY=new int[MAX_UPDATE_WAYPOINTS];
    	pathPtr=0;
    }

	public short getId () {
		return id;
			}
	
	public void setId (short id1) {
		id = id1;
	}
	
	public void setId (int id1) {
		id = (short) id1;
	}
	
	public int getX() {
		return x;
	}

	public void setX(int x1) {
		x = x1;
	}

	public int getY() {
		return y;
	}

	public void setY(int y1) {
		y = y1;
	}

	public int getXCoord(int idx) { return pathX[idx]; }
	public int getYCoord(int idx) { return pathY[idx]; }

	
    public void draw(){
        System.out.println("Update: "+this.getClass());
        System.out.println("> id: "+getId());
        System.out.println("> x: "+getX());
        System.out.println("> y: "+getY());
    }

	public int getPathPtr() {
		return pathPtr;
	}

	public void setPathPtr(int pathPtr) {
		this.pathPtr = pathPtr;
	}

	public int[] getPathX() {
		return pathX;
	}

	public void setPathX(int[] pathX) {
		this.pathX = pathX;
	}

	public int[] getPathY() {
		return pathY;
	}

	public void setPathY(int[] pathY) {
		this.pathY = pathY;
	}

}
